aboutsummaryrefslogtreecommitdiffstats
path: root/net-irc
diff options
context:
space:
mode:
authorAlexander Sulfrian <alexander@sulfrian.net>2010-01-06 22:04:52 +0100
committerAlexander Sulfrian <alexander@sulfrian.net>2010-01-06 22:05:40 +0100
commit09fdb3f1e81c06040306e1d4759c324a6b3e484c (patch)
tree5f1425f75f6071fd49b22fdaea920ee0c4302133 /net-irc
parent48a262a0b5d6b447ff28a80029be02bc53a5cfce (diff)
downloadoverlay-09fdb3f1e81c06040306e1d4759c324a6b3e484c.tar.gz
overlay-09fdb3f1e81c06040306e1d4759c324a6b3e484c.tar.xz
overlay-09fdb3f1e81c06040306e1d4759c324a6b3e484c.zip
added iroffer-dinoex ebuild
Diffstat (limited to 'net-irc')
-rw-r--r--net-irc/iroffer-dinoex/Manifest4
-rw-r--r--net-irc/iroffer-dinoex/iroffer-dinoex-3.15.ebuild131
-rw-r--r--net-irc/iroffer-dinoex/iroffer-dinoex-3.17.ebuild131
3 files changed, 266 insertions, 0 deletions
diff --git a/net-irc/iroffer-dinoex/Manifest b/net-irc/iroffer-dinoex/Manifest
new file mode 100644
index 0000000..3e64ee7
--- /dev/null
+++ b/net-irc/iroffer-dinoex/Manifest
@@ -0,0 +1,4 @@
+DIST iroffer-dinoex-3.15.tar.gz 388535 RMD160 fce9d9612febd1bc74b163b5a7cc83ea8b642c3e SHA1 807d5a3322e2c3d3651710a35d2fbd5608e637b9 SHA256 6d3ba9497afb9f9a87870ffbacfd30f110889b0d99d3700859c40ec1006aa362
+DIST iroffer-dinoex-3.17.tar.gz 389954 RMD160 a62145a1caf8564c4566a172ff35a92f65f77130 SHA1 cadae5f5175899c885400604352a80f2cdf35707 SHA256 498dbb14594013e586640b95527fd5444c5e36aca0ef4bdb75c9e544191c3dcf
+EBUILD iroffer-dinoex-3.15.ebuild 2462 RMD160 442a48bab95e3bdb09129b38438996b41632dcda SHA1 c8a7bf64a2dd0c1fb6b782b86543e52024c74849 SHA256 0a229e2c223467cef7e0065048dc9699b69e6a154e25eaea959eaeff27ec2cf9
+EBUILD iroffer-dinoex-3.17.ebuild 2447 RMD160 c3ae315d803ba35e1bcc7d7953486a07eddcaecf SHA1 a12fde2320feae5cf0129a7a0b2da8323fc92b8c SHA256 2b903f1d1b265bcf714d326e22c4e7393155c94a4afa848c3c389787e13884fa
diff --git a/net-irc/iroffer-dinoex/iroffer-dinoex-3.15.ebuild b/net-irc/iroffer-dinoex/iroffer-dinoex-3.15.ebuild
new file mode 100644
index 0000000..fbc8d7b
--- /dev/null
+++ b/net-irc/iroffer-dinoex/iroffer-dinoex-3.15.ebuild
@@ -0,0 +1,131 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+DESCRIPTION="An improved version of iroffer - an IRC XDCC bot."
+HOMEPAGE="http://iroffer.dinoex.net"
+SRC_URI="http://iroffer.dinoex.net/iroffer-dinoex-3.15.tar.gz"
+KEYWORDS="~x86 ~amd64"
+LICENSE="GPL-2"
+SLOT="0"
+LANGUAGES="linguas_it linguas_de linguas_en"
+IUSE="geoip curl tls upnp ruby +blowfish +openssl +http +admin +telnet +memsave static ${LANGUAGES}"
+
+DEPEND="ruby? ( dev-lang/ruby )
+ geoip? ( dev-libs/geoip )
+ curl? ( net-misc/curl )
+ tls? ( net-libs/gnutls )
+ openssl? ( dev-libs/openssl )"
+RDEPEND="!static? ( ${DEPEND} )"
+
+
+src_compile() {
+ local configure_opts
+
+ if use geoip ; then
+ configure_opts="${configure_opts} -geoip"
+ fi
+
+ if use curl ; then
+ configure_opts="${configure_opts} -curl"
+ fi
+
+ if use tls ; then
+ if use openssl ; then
+ die "Please select only openssl or tls!"
+ fi
+
+ configure_opts="${configure_opts} -tls"
+ fi
+
+ if use upnp ; then
+ configure_opts="${configure_opts} -upnp"
+ fi
+
+ if use ruby ; then
+ configure_opts="${configure_opts} -ruby"
+ fi
+
+ if ! use blowfish ; then
+ configure_opts="${configure_opts} -no-blowfish"
+ fi
+
+ if ! use openssl ; then
+ configure_opts="${configure_opts} -no-openssl"
+ fi
+
+ if ! use http ; then
+ configure_opts="${configure_opts} -no-http"
+ fi
+
+ if ! use admin ; then
+ configure_opts="${configure_opts} -no-admin"
+ fi
+
+ if ! use telnet ; then
+ configure_opts="${configure_opts} -no-telnet"
+ fi
+
+ if ! use memsave ; then
+ configure_opts="${configure_opts} -no-memsave"
+ fi
+
+ if use static ; then
+ configure_opts="${configure_opts} -no-libs"
+ fi
+
+ echo ${configure_opts}
+ ./Configure ${configure_opts}
+
+ if use linguas_en ; then
+ ./Lang en
+ elif use linguas_de ; then
+ ./Lang de
+ elif use linguas_it ; then
+ ./Lang it
+ fi
+
+ emake || die "emake failed"
+}
+
+src_install() {
+ dobin iroffer
+
+ insinto /usr/share/iroffer-dinoex/
+ doins beispiel.config
+ doins iroffer.cron
+
+ if use ruby ; then
+ doins ruby-sample.rb
+ fi
+
+ if use http ; then
+ doins *.html
+
+ insinto /usr/share/iroffer-dinoex/htocs/
+ doins htdocs/*
+ fi
+
+ dodoc LICENSE
+ dodoc LIESMICH.modDinoex
+ dodoc README-iroffer.txt
+ dodoc README.modDinoex
+ dodoc THANKS
+ dodoc TODO
+
+ if use admin ; then
+ if use linguas_en ; then
+ dodoc help-admin-en.txt
+ fi
+
+ if use linguas_de ; then
+ dodoc help-admin-de.txt
+ fi
+
+ if use linguas_it ; then
+ dodoc help-admin-it.txt
+ fi
+ fi
+
+ doman iroffer.1
+}
diff --git a/net-irc/iroffer-dinoex/iroffer-dinoex-3.17.ebuild b/net-irc/iroffer-dinoex/iroffer-dinoex-3.17.ebuild
new file mode 100644
index 0000000..1609a14
--- /dev/null
+++ b/net-irc/iroffer-dinoex/iroffer-dinoex-3.17.ebuild
@@ -0,0 +1,131 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+DESCRIPTION="An improved version of iroffer - an IRC XDCC bot."
+HOMEPAGE="http://iroffer.dinoex.net"
+SRC_URI="http://iroffer.dinoex.net/${P}.tar.gz"
+KEYWORDS="~x86 ~amd64"
+LICENSE="GPL-2"
+SLOT="0"
+LANGUAGES="linguas_it linguas_de linguas_en"
+IUSE="geoip curl tls upnp ruby +blowfish +openssl +http +admin +telnet +memsave static ${LANGUAGES}"
+
+DEPEND="ruby? ( dev-lang/ruby )
+ geoip? ( dev-libs/geoip )
+ curl? ( net-misc/curl )
+ tls? ( net-libs/gnutls )
+ openssl? ( dev-libs/openssl )"
+RDEPEND="!static? ( ${DEPEND} )"
+
+
+src_compile() {
+ local configure_opts
+
+ if use geoip ; then
+ configure_opts="${configure_opts} -geoip"
+ fi
+
+ if use curl ; then
+ configure_opts="${configure_opts} -curl"
+ fi
+
+ if use tls ; then
+ if use openssl ; then
+ die "Please select only openssl or tls!"
+ fi
+
+ configure_opts="${configure_opts} -tls"
+ fi
+
+ if use upnp ; then
+ configure_opts="${configure_opts} -upnp"
+ fi
+
+ if use ruby ; then
+ configure_opts="${configure_opts} -ruby"
+ fi
+
+ if ! use blowfish ; then
+ configure_opts="${configure_opts} -no-blowfish"
+ fi
+
+ if ! use openssl ; then
+ configure_opts="${configure_opts} -no-openssl"
+ fi
+
+ if ! use http ; then
+ configure_opts="${configure_opts} -no-http"
+ fi
+
+ if ! use admin ; then
+ configure_opts="${configure_opts} -no-admin"
+ fi
+
+ if ! use telnet ; then
+ configure_opts="${configure_opts} -no-telnet"
+ fi
+
+ if ! use memsave ; then
+ configure_opts="${configure_opts} -no-memsave"
+ fi
+
+ if use static ; then
+ configure_opts="${configure_opts} -no-libs"
+ fi
+
+ echo ${configure_opts}
+ ./Configure ${configure_opts}
+
+ if use linguas_en ; then
+ ./Lang en
+ elif use linguas_de ; then
+ ./Lang de
+ elif use linguas_it ; then
+ ./Lang it
+ fi
+
+ emake || die "emake failed"
+}
+
+src_install() {
+ dobin iroffer
+
+ insinto /usr/share/iroffer-dinoex/
+ doins beispiel.config
+ doins iroffer.cron
+
+ if use ruby ; then
+ doins ruby-sample.rb
+ fi
+
+ if use http ; then
+ doins *.html
+
+ insinto /usr/share/iroffer-dinoex/htocs/
+ doins htdocs/*
+ fi
+
+ dodoc LICENSE
+ dodoc LIESMICH.modDinoex
+ dodoc README-iroffer.txt
+ dodoc README.modDinoex
+ dodoc THANKS
+ dodoc TODO
+
+ if use admin ; then
+ if use linguas_en ; then
+ dodoc help-admin-en.txt
+ fi
+
+ if use linguas_de ; then
+ dodoc help-admin-de.txt
+ fi
+
+ if use linguas_it ; then
+ dodoc help-admin-it.txt
+ fi
+ fi
+
+ doman iroffer.1
+}